<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
<meta charset="ISO-8859-1">
<title>Post</title>
  <link rel="stylesheet" type="text/css" href="/css/post.css" />
</head>
<body>
<form action="/post" th:object="${post}">
					<textarea th:field="*{content}" name="text" id="" placeholder="Text..."></textarea>
				
  
  <br>
  
  <div id="wrapper">
 <input type="file" th:field="*{url}" accept="image/*" onchange="preview_image(event)">
 <img id="output_image" align="center"/>
</div>
 
  <div class="click" align="center">
			<a class=form th:href="@{/dog}" target="_self"><b>Save
					</b></a> <a class=form th:href="@{/dog}" target="_self"><b>Cancel</b></a>

		</div>
  </form>
    <script type='text/javascript'>
function preview_image(event) 
{
 var reader = new FileReader();
 reader.onload = function()
 {
  var output = document.getElementById('output_image');
  output.src = reader.result;
 }
 reader.readAsDataURL(event.target.files[0]);
}
</script>
</body>
</html>